com.here.msdkui.common.measurements

## Class SpeedConverter

- java.lang.Object
- - com.here.msdkui.common.measurements.Converter
  - - com.here.msdkui.common.measurements.SpeedConverter

-     public class SpeedConverter
      extends Converter

  Utility class used for speed conversions.

- - ### Field Summary

    - ### Fields inherited from class com.here.msdkui.common.measurements.Converter

      `KILOMETER_IN_METERS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpeedConverter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected double` | `fromBaseTo(double in, MeasurementUnit unit)` Converts a value from base unit to unit of the given type.
    `protected double` | `toBaseUnit(double in, MeasurementUnit unit)` Converts a value of given unit to the base unit.

    - ### Methods inherited from class com.here.msdkui.common.measurements.Converter

      `convert, isLength, isMetric, isSpeed, round`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SpeedConverter

          public SpeedConverter()

  - ### Method Detail

    - #### toBaseUnit

          protected double toBaseUnit(double in,
                                      MeasurementUnit unit)

      Description copied from class: `Converter`
      Converts a value of given unit to the base unit.
      Specified by:
        `toBaseUnit` in class `Converter`
      Parameters:
        `in` - a value to be converted.
        `unit` - a `MeasurementUnit` to be converted to base.
      Returns:
        converted value.

    - #### fromBaseTo

          protected double fromBaseTo(double in,
                                      MeasurementUnit unit)

      Description copied from class: `Converter`
      Converts a value from base unit to unit of the given type.
      Specified by:
        `fromBaseTo` in class `Converter`
      Parameters:
        `in` - a value to be converted.
        `unit` - a target `MeasurementUnit`.
      Returns:
        converted value.